package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevCabinetMapper;
import com.ruoyi.project.patrol.dev.domain.TDevCabinet;
import com.ruoyi.project.patrol.dev.service.ITDevCabinetService;

/**
 * 应急事故柜Service业务层处理
 * 
 * @author admin
 * @date 2023-11-07
 */
@Service
public class TDevCabinetServiceImpl implements ITDevCabinetService 
{
    @Autowired
    private TDevCabinetMapper tDevCabinetMapper;

    /**
     * 查询应急事故柜
     * 
     * @param id 应急事故柜主键
     * @return 应急事故柜
     */
    @Override
    public TDevCabinet selectTDevCabinetById(Long id)
    {
        return tDevCabinetMapper.selectTDevCabinetById(id);
    }

    /**
     * 查询应急事故柜列表
     * 
     * @param tDevCabinet 应急事故柜
     * @return 应急事故柜
     */
    @Override
    public List<TDevCabinet> selectTDevCabinetList(TDevCabinet tDevCabinet)
    {
        return tDevCabinetMapper.selectTDevCabinetList(tDevCabinet);
    }

    /**
     * 新增应急事故柜
     * 
     * @param tDevCabinet 应急事故柜
     * @return 结果
     */
    @Override
    public int insertTDevCabinet(TDevCabinet tDevCabinet)
    {
        return tDevCabinetMapper.insertTDevCabinet(tDevCabinet);
    }

    /**
     * 修改应急事故柜
     * 
     * @param tDevCabinet 应急事故柜
     * @return 结果
     */
    @Override
    public int updateTDevCabinet(TDevCabinet tDevCabinet)
    {
        return tDevCabinetMapper.updateTDevCabinet(tDevCabinet);
    }

    /**
     * 批量删除应急事故柜
     * 
     * @param ids 需要删除的应急事故柜主键
     * @return 结果
     */
    @Override
    public int deleteTDevCabinetByIds(Long[] ids)
    {
        return tDevCabinetMapper.deleteTDevCabinetByIds(ids);
    }

    /**
     * 删除应急事故柜信息
     * 
     * @param id 应急事故柜主键
     * @return 结果
     */
    @Override
    public int deleteTDevCabinetById(Long id)
    {
        return tDevCabinetMapper.deleteTDevCabinetById(id);
    }
}
